## LassoIdWsf2PsRemoveFromCollectionRequest LassoIdWsf2PsRemoveFromCollectionRequest — <ps:RemoveFromCollectionRequest> |

## Functions

LassoIdWsf2PsRemoveFromCollectionRequest * | lasso_idwsf2_ps_remove_from_collection_request_new ()

## Types and Values

struct | LassoIdWsf2PsRemoveFromCollectionRequest

## Description

Figure 223. Schema fragment for ps:RemoveFromCollectionRequest

    <xs:complexType name="RemoveFromCollectionRequestType">
      <xs:complexContent>
        <xs:extension base="RequestAbstractType">
          <xs:sequence>
            <xs:element ref="TargetObjectID"/>
            <xs:element ref="ObjectID" maxOccurs="unbounded"/>
            <xs:element ref="Subscription" minOccurs="0"/>
          </xs:sequence>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

## Functions

### lasso_idwsf2_ps_remove_from_collection_request_new ()

    LassoIdWsf2PsRemoveFromCollectionRequest *
    lasso_idwsf2_ps_remove_from_collection_request_new
                                   (void);

Creates a new LassoIdWsf2PsRemoveFromCollectionRequest object.

#### Returns

a newly created LassoIdWsf2PsRemoveFromCollectionRequest object

## Types and Values

### struct LassoIdWsf2PsRemoveFromCollectionRequest

    struct LassoIdWsf2PsRemoveFromCollectionRequest {
    	LassoIdWsf2PsRequestAbstract parent;

    	/* elements */
    	/* XXX */ void *TargetObjectID;
    	GList *ObjectID; /* of LassoNode */
    	/* XXX */ void *Subscription;
    };